<?php
/********************************************************************************/
/*     Copyright (C) 2004-2005 Jean-Sbastien H. ( ED ) ( Livebox-script.com )   			*/
/*                                                                               								*/
/*     This file is part of Uptime Script                                       						*/
/*                                                                               								*/
/*     Uptime Script is free software; you can redistribute it and/or modify     			*/
/*     it under the terms of the GNU General Public License as published by      			*/
/*     the Free Software Foundation; either version 2 of the License, or         			*/
/*     (at your option) any later version.                                      						*/
/*                                                                              								*/
/*     Uptime Script is distributed in the hope that it will be useful,         				*/
/*     but WITHOUT ANY WARRANTY; without even the implied warranty of          		*/
/*     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             	*/
/*     GNU General Public License for more details.                              					*/
/*                                                                               								*/
/*     You should have received a copy of the GNU General Public License         			*/
/*     along with Uptime Script; if not, write to the Free Software              				*/
/*     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA 		*/
/********************************************************************************/
/*                                                                              								*/
/*         Fichier graph.php                                      							*/
/*         Cr le 31 aout 2006                                                						*/
/*                                                              									*/
/*         Derniere modification: 06 sept 2006   - v4.0.0.alpha-rev11           				*/
/*                                                                               								*/
/********************************************************************************/

require('conf.php');

if ((isset($lang)) && file_exists("lang/". $lang. ".php")) {
	require("lang/". $lang. ".php");
} else {
	require("lang/fr.php");
}
require('libraries/DataStruct.php');
require('libraries/graph.php');
global $SQL;
if((isset($dbtype)) && file_exists("libraries/SQL/". $dbtype. ".php")) {
	require('libraries/SQL/'.$dbtype.'.php');
	$SQL = new SQL($hote,$user,$pass,$dbname);
}
$last24 = false;

if(!isset($_GET['day']) && !isset($_GET['last24'])) exit('Date non dfinie');

elseif(isset($_GET['day']) && !isset($_GET['last24'])) {
    $day = explode("-",trim($_GET['day']));
    $timestamp= mktime(0,0,0,$day[1],$day[2],$day[0]);
	$result = $SQL->query($SQL->rq_getFromDay($timestamp));
}
elseif(!isset($_GET['day']) && isset($_GET['last24'])) {
	$min = intval(date('i')/15)*15;
	$rq = $SQL->rq_getLast24();
//	echo $rq;
	$result =$SQL->query($rq);
	$last24=true;
}

$data = new DataStruct();
$data->buildFromSQLResult($result,$last24);
//echo $data;
$graph = new Graph($data,"small",$last24,$voip_activ);

?>